OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.CopyTexture

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTCopyTexture :: MonadIO m => m Bool
- gl_EXT_copy_texture :: Bool
- glCopyTexImage1DEXT :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLint -> m ()
- glCopyTexImage2DEXT :: MonadIO m => GLenum -> GLint -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> GLint -> m ()
- glCopyTexSubImage1DEXT :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTexSubImage2DEXT :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTexSubImage3DEXT :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()

# Extension Support

glGetEXTCopyTexture :: MonadIO m => m Bool

Is the EXT_copy_texture extension supported?

gl_EXT_copy_texture :: Bool

Is the EXT_copy_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTCopyTexture` in those cases instead.

# Functions

glCopyTexImage1DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

This command is an alias for `glCopyTexImage1D`.

glCopyTexImage2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> m () |

This command is an alias for `glCopyTexImage2D`.

glCopyTexSubImage1DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

This command is an alias for `glCopyTexSubImage1D`.

glCopyTexSubImage2DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glCopyTexSubImage2D`.

glCopyTexSubImage3DEXT

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

This command is an alias for `glCopyTexSubImage3D`.